Skip to content

Address Check

POST
/v5/config/address-check

Check whether an address is eligible for Card API onramp and offramp flows.

Authorizations

ApiKeyAuth
Type
API Key (header: X-Api-Key)

Request Body

application/json
JSON
{
"address": "0x45FB5699C0BFFC5e7D7F0c4947417833cc0623aa"
}

Responses

OK

application/json
JSON
{
"status": "ok",
"payload": {
"isTopupAllowed": true,
"isOnRampAllowed": true
}
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI

Code examples

bash
curl -X POST https://api.brrr.network/v5/config/address-check \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "address": "0x45FB5699C0BFFC5e7D7F0c4947417833cc0623aa"
}'
javascript
const response = await fetch('https://api.brrr.network/v5/config/address-check', {
  method: 'POST',
  headers: {
    'X-Api-Key': process.env.BRRR_API_KEY,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
  'address': '0x45FB5699C0BFFC5e7D7F0c4947417833cc0623aa'
}),
});

if (!response.ok) {
  const error = await response.json();
  throw new Error(`Request failed: ${error.errorCode}`);
}

const data = await response.json();
console.log(data.payload);
python
import os
import httpx

response = httpx.post(
    'https://api.brrr.network/v5/config/address-check',
    headers={
        'X-Api-Key': os.environ['BRRR_API_KEY'],
        'Content-Type': 'application/json',
    },
    json={
    "address": "0x45FB5699C0BFFC5e7D7F0c4947417833cc0623aa"
},
)
response.raise_for_status()
print(response.json()['payload'])